%{?scl:%scl_package nodejs-brace-expansion}
%{!?scl:%global pkg_name %{name}}

%{?nodejs_find_provides_and_requires}

%global packagename brace-expansion
%global enable_tests 0
# tests disabled due to reliance on an old version of 'tape'

Name:		%{?scl_prefix}nodejs-brace-expansion
Version:    1.1.5
Release:    2%{?dist}
Summary:	Brace expansion as known from sh/bash

License:	MIT
URL:		https://github.com/juliangruber/brace-expansion.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	%{?scl_prefix}nodejs-devel
%if 0%{?enable_tests}
BuildRequires:  %{?scl_prefix}npm(tape)
%endif

%description
Brace expansion as known from sh/bash

%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tape test/*.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon May 28 2018 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.1.5-2
- Resolves: RHBZ#1543198, rebuild for multiarch

* Wed Sep 07 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.1.5-1
- Updated with script

* Tue Feb 16 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.1.1-4
- Use macro in -runtime dependency

* Sun Feb 14 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.1.1-3
- Rebuilt with updated metapackage

* Tue Dec 01 2015 Tomas Hrcka <thrcka@redhat.com> - 1.1.1-2
- Enable scl macros

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
